Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004415Endian FirewallOther Servicespublic2012-08-08 07:252013-08-27 09:16
ReportermhLearn 
Assigned Tolorenzo-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.5 
Target VersionFixed in Version 
Summary0004415: NTOP / Traffic Monitoring Is Not Working
DescriptionOn Endian Firewall 2.5.1.

The NTOP doesn't work even Intrusion is turned off (some reported this issue may due to Intrusion turned on).
Tagsntop, traffic monitoring
Attached Filesjpg file icon NTOP_Not Working.jpg [^] (118,547 bytes) 2012-08-08 07:25


txt file icon NTOP_Error.txt [^] (22,010 bytes) 2012-10-24 10:46 [Show Content]

- Relationships

-  Notes
(0008000)
lorenzo-endian (manager)
2012-08-08 17:19

hi mhLearn,

could this issue be the same described in the bug http://bugs.endian.com/view.php?id=4412 [^] ?

thanks in advance!

Lo
(0008242)
mhLearn (reporter)
2012-10-19 11:34

Hi Lo,

In my case was worsen, the traffic monitoring was not able to load, error message "unable to connect".

thx
mh
(0008243)
mhLearn (reporter)
2012-10-19 12:10

Noticed some said the problem solved after while, eg.
http://bugs.endian.com/view.php?id=4415 [^]

But, how?
(0008247)
mhLearn (reporter)
2012-10-24 10:48

Just upload the log, hope someone can help to resolve the problem. I am new to this, don't understand the log.
(0008275)
mhLearn (reporter)
2012-11-08 12:40

Installed efw on different computer and traffic monitoring was running perfectly on testing environment, i.e. pc <-> green zone switch <-> efw.

But after putting in environment,

    PCs <-> green zone switch, Orange/Blue router <-> efw <-> 2 Red zones

then it failed to work. Found this error message,

 **ERROR** mVLAN: Host (identical IP/MAC) found on multiple VLANs

What does this mean?
(0008390)
mhLearn (reporter)
2013-03-11 05:21

for those that may facing the same problem. Hope below useful to you.

1. Disable the Traffic monitoring.
2. Run ntop from shell
3. Access web through yourfirewall_ip:port. port can be 3000 or 3001.

Good luck
(0008436)
soportenalucho (reporter)
2013-06-07 00:26

I have the same problem... any solution?
Thank you
(0008443)
daniele-endian (developer)
2013-07-12 13:02

Hi guys,

please try with the following configuration

===========================================
root@endian:~ # cat /etc/ntop/ntop.conf.tmpl
--user ntop
--daemon
--db-file-path /var/ntop
--interface br0,br1,br2
--trace-level 3
--http-server 0
--https-server 3001
--ipv4
--max-table-rows 150
-x 1000

===========================================
Then do restartntop -f the webinterface with this config should be working fine
(0008447)
ronin (reporter)
2013-07-19 22:11
edited on: 2013-07-20 03:42

Daniele-endian, I have tried this config and it appears that it has not fixed the issue. ntop appears to be working for a short period of time and then then web interface times out. when it eventually comes back, stats are reset.
Any other suggestion would be appreciated.
Thx

UPDATE: This config seems to have made the problem worse, fwiw. Availability of the service is even less now. Virtually non-existent even after the restart of ntop

UPDATE-RESOLVED: It appears that if you modify the ntop option so that the web interface is accessible via HTTP rather then HTTPS, everything works fine

(0008458)
luca-endian (developer)
2013-08-26 10:17

Please try with 2.5.2
(0008467)
mhLearn (reporter)
2013-08-26 11:54

it is working after changed according to provided configuration from daniele-endian.
(0008471)
mhLearn (reporter)
2013-08-27 06:52

it's working fine in 2.5.2
(0008474)
daniele-endian (developer)
2013-08-27 09:15

Ok, many thanks for the feedback. I close this bug.

- Issue History
Date Modified Username Field Change
2012-08-08 07:25 mhLearn New Issue
2012-08-08 07:25 mhLearn File Added: NTOP_Not Working.jpg
2012-08-08 17:19 lorenzo-endian Note Added: 0008000
2012-08-08 17:19 lorenzo-endian Assigned To => lorenzo-endian
2012-08-08 17:19 lorenzo-endian Status new => feedback
2012-10-19 11:34 mhLearn Note Added: 0008242
2012-10-19 12:10 mhLearn Note Added: 0008243
2012-10-24 10:46 mhLearn File Added: NTOP_Error.txt
2012-10-24 10:48 mhLearn Note Added: 0008247
2012-10-24 10:48 mhLearn Status feedback => new
2012-11-08 12:40 mhLearn Note Added: 0008275
2012-12-04 05:26 mhLearn Tag Attached: ntop
2012-12-04 05:26 mhLearn Tag Attached: traffic monitoring
2013-03-11 05:21 mhLearn Note Added: 0008390
2013-06-07 00:26 soportenalucho Note Added: 0008436
2013-07-12 13:02 daniele-endian Note Added: 0008443
2013-07-19 22:11 ronin Note Added: 0008447
2013-07-19 22:22 ronin Note Edited: 0008447 View Revisions
2013-07-20 03:42 ronin Note Edited: 0008447 View Revisions
2013-08-26 10:17 luca-endian Note Added: 0008458
2013-08-26 10:17 luca-endian Status new => feedback
2013-08-26 11:54 mhLearn Note Added: 0008467
2013-08-26 11:54 mhLearn Status feedback => new
2013-08-27 06:52 mhLearn Note Added: 0008471
2013-08-27 09:15 daniele-endian Note Added: 0008474
2013-08-27 09:16 daniele-endian Status new => resolved
2013-08-27 09:16 daniele-endian Resolution open => fixed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker